/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_SLOT_H
#define QT_SLOT_H


#include "qtc_types.h"

qt_Slot *qt_new_IntSlot(qt_intCallback);
qt_Slot *qt_new_VoidSlot(qt_voidCallback);
qt_Slot *qt_new_FloatSlot(qt_floatCallback);
qt_Slot *qt_new_QRectSlot(qt_QRectCallback);
qt_Slot *qt_new_QSizeSlot(qt_QSizeCallback);
qt_Slot *qt_new_UserDataSlot(qt_UserDataCallback, void * userData);

qt_Signal *qt_new_Signal();
void qt_emitInt(qt_Signal *s,int i);
void qt_emitVoid(qt_Signal *s);
void qt_emitFloat(qt_Signal *s,float f);
void qt_emitPointer(qt_Signal *s,void *);
void qt_del_QtcSlot(qt_Slot *s);
void qt_del_QtcSignal(qt_Signal *s);

void qt_connectInt(qt_Slot *sender,qt_QObject receiver,char *member);
void qt_connectVoid(qt_Slot *sender,qt_QObject receiver,char *member);
void qt_connectFloat(qt_Slot *sender,qt_QObject receiver,char *member);
void qt_connectPointer(qt_Slot *sender,qt_QObject receiver,char *member);

#endif
